import board
import sdioio
import storage

try:
    sdcard = sdioio.SDCard(
        clock=board.SDIO_CLOCK,
        command=board.SDIO_COMMAND,
        data=board.SDIO_DATA,
        frequency=0)#25000000)

    vfs = storage.VfsFat(sdcard)
    print( "vfs = {}".format( vfs ))

    storage.mount(vfs, "/sd")
except IOerror:
    print( "IO Error" )
