import board
import sdioio
import storage
import time

sdcard = sdioio.SDCard(
    clock=board.SDIO_CLOCK,
    command=board.SDIO_COMMAND,
    data=board.SDIO_DATA,
    frequency=25000000)

vfs = storage.VfsFat(sdcard)

storage.mount(vfs, "/sd")

while True:
    #time.sleep(0.1)
    with open( "/sd/test.txt", "w" ) as f:
        f.write( "year, month, day, batch\n" )
        f.write( "2022, 12, 30, 0\n" )


    with open("/sd/test.txt", "r") as f:
        print("Printing lines in file:")
        print()
        line = f.readline()
        while line != '':
            print(line)
            line = f.readline()
    print()
print( "Program Completed" )
